Configurar la Broadcom 4312 en Bodhi Linux

Amb la instal·lació de la Bodhi Linux 2.3.0 sobre un llapis USB, m’he adonat que, treballant sobre el Latitude 2100, la targeta wifi estava inactiva; la targeta Broadcom 4312 ja m’havia donat algun problema en el passat, de manera que he googlejat una mica i, després d’alguns fracassos (el sistema general no funcionava en aquesta ocasió), he trobat les instruccions justes aquí: si busqueu al final del fil, l’usuari Charles@Bodhi dóna la solució en l’entrada del 8 d’abril, a les 02.37.

Si ho he entès correctament, el problema està en la darrera actualització del paquet bcmwl-kernel-source, que no funciona; la solució consisteix en emprar una versió anterior (la 5.100.82.112) que no dóna cap problema. El procediment, sempre segons Charles@Bodhi, és el següent:

  1. sudo apt-get update && sudo apt-get install linux-headers-$(uname -r)
  2. sudo apt-get install firmware-b43-lpphy-installer
  3. sudo apt-get --reinstall install bcmwl-kernel-source=5.100.82.112+bdcom-0ubuntu3
  4. sudo modprobe -r b43 ssb wl brcmfmac brcmsmac bcma
  5. sudo modprobe wl
  6. echo "blacklist xxxx" | sudo tee -a /etc/modprobe.d/blacklist-broadcom-wireless.conf
  7. sudo update-initramfs -u
  8. sudo apt-get install --no-upgrade bcmwl-kernel-source

Els tres primers passos instal·len el paquet controlador adequat; en executar el darrer d’aquests, el meu nm-applet ja detectava els xarxes de wifi disponibles.

Els passos 4 i 5 eliminen els mòduls innecessaris i deixen només el que hauria de funcionar; tanmateix, quan els he executat, les xarxes wifi han desaparegut de la vista, de manera que he hagut de tornar a executar els tres primeres i prescindir d’aquestos dos.

He apagat i reiniciat la màquina. Com que la targeta wifi continuava funcionant normalment i detectant totes les xarxes del veïnat, he optat per saltar-me els passos 6 i 7 i executar directament el 8, que evitarà que el paquet clau s’actualitzi accidentalment.

Com que Bodhi Linux empra els repositoris de la Ubuntu 12.04, és molt probable que aquella distro presenti problemes similars.

Petita correcció

L’ordre que havia d’evitar l’actualització del paquet conflictiu (bcmwl-kernel-source) no m’ha funcionant: en realitzar una actualització amb apt-get, m’ha preguntat si el volia actualitzar. En canvi, amb la següent ordre, que he trobat aquí, sí que ho he evitat:

echo 'bcmwl-kernel-source hold' | sudo dpkg --set-selections

Quant a Giorgio Grappa

Algú fa cas de les coses que els blocaires escriuen sobre ells mateixos? El comentari més sincer que he llegit als "about me" és aquell de: "si vols saber res de mi, pots llegir el meu bloc."
Aquesta entrada s'ha publicat en Administració, bodhi linux, GNU/Linux, Informàtica, programari, programari lliure, wifi i etiquetada amb , . Afegiu a les adreces d'interès l'enllaç permanent.

Deixa un comentari

Fill in your details below or click an icon to log in:

WordPress.com Logo

Esteu comentant fent servir el compte WordPress.com. Log Out / Canvia )

Twitter picture

Esteu comentant fent servir el compte Twitter. Log Out / Canvia )

Facebook photo

Esteu comentant fent servir el compte Facebook. Log Out / Canvia )

Google+ photo

Esteu comentant fent servir el compte Google+. Log Out / Canvia )

Connecting to %s